Search connection-scoped observations through the SDK gateway
Returns a FHIR Bundle containing Observation resources authorized by the presented APP tenant API key with observation:read scope and the request body's `connectionId`. The gateway enforces APP tenant residency, SpiceDB app-install projection, subject lifecycle capability, resource-type scope, and service-level LOINC, sensitivity, and time-window scope before any PHI read is returned.
/api/sdk/v1/observations:searchReturns a FHIR Bundle containing Observation resources authorized by the presented APP tenant API key with observation:read scope and the request body's connectionId. The gateway enforces APP tenant residency, SpiceDB app-install projection, subject lifecycle capability, resource-type scope, and service-level LOINC, sensitivity, and time-window scope before any PHI read is returned.
Authorization
platformApiKey CuraeAI Platform API key using the format Bearer . Keys are opaque credentials such as cae_live_..., not JWTs.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
curl -X POST "https://example.com/api/sdk/v1/observations:search" \ -H "Content-Type: application/json" \ -d '{ "connectionId": "84b500d7-71c8-4b1f-adf4-f1eb0000973d" }'{ "resourceType": "Bundle", "type": "searchset", "total": 0, "entry": [ { "fullUrl": "string", "resource": { "resourceType": "Observation", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "meta": { "source": "string", "tag": [ { "system": "string", "code": "string", "display": "string" } ] }, "status": "string", "category": [ { "coding": [ { "system": "string", "code": "string", "display": "string" } ], "text": "string" } ], "code": { "coding": [ { "system": "string", "code": "string", "display": "string" } ], "text": "string" }, "subject": { "reference": "string" }, "effectiveDateTime": "2019-08-24T14:15:22Z", "issued": "2019-08-24T14:15:22Z", "valueQuantity": { "value": 0, "unit": "string", "system": "string", "code": "string" }, "valueString": "string", "interpretation": [ { "coding": [ { "system": "string", "code": "string", "display": "string" } ], "text": "string" } ], "referenceRange": [ { "low": { "value": 0, "unit": "string", "system": "string", "code": "string" }, "high": { "value": 0, "unit": "string", "system": "string", "code": "string" }, "text": "string" } ], "component": [ { "code": { "coding": [ { "system": "string", "code": "string", "display": "string" } ], "text": "string" }, "valueQuantity": { "value": 0, "unit": "string", "system": "string", "code": "string" }, "valueString": "string", "valueBoolean": true, "interpretation": [ { "coding": [ { "system": "string", "code": "string", "display": "string" } ], "text": "string" } ], "referenceRange": [ { "low": { "value": 0, "unit": "string", "system": "string", "code": "string" }, "high": { "value": 0, "unit": "string", "system": "string", "code": "string" }, "text": "string" } ] } ] }, "search": { "mode": "match" } } ]}{ "type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "code": "string", "details": {}, "retryable": true}Delete a Platform webhook endpoint DELETE
Soft-deletes a webhook endpoint owned by the API key's customer account.
Search connection-scoped conditions through the SDK gateway POST
Returns a FHIR Bundle containing Condition resources authorized by the presented APP tenant API key with condition:read scope and the request body's `connectionId`. The gateway enforces APP tenant residency, SpiceDB app-install projection, subject lifecycle capability, resource-type scope, and service-level ICD-10/SNOMED, sensitivity, and time-window scope before any PHI read is returned. When `verificationStatuses` is omitted the platform defaults to `['confirmed']` so the bundle does not surface `entered-in-error` / `refuted` rows by accident.